package com.unis.module.coding.service.task;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unis.module.coding.controller.admin.task.vo.*;

import java.util.List;

/**
 * 任务列表 Service 接口
 *
 * @author 超级管理员
 */
public interface TaskService {

    IPage<TaskRespVO> getTaskList(TaskPageReqVO pageReqVO);

    IPage<TaskRespVO> getAllStoreroomList(TaskPageReqVO pageReqVO);

    IPage<TaskRespVO> getMyStoreroomList(TaskPageReqVO pageReqVO);

    Boolean getTasks(TaskPageReqVO reqVO);

    List<TaskCaxxRespVO> getCaxxByKqId(TaskPageReqVO reqVO);

    TaskKqxxRespVO getKqxxByKqId(TaskPageReqVO reqVO);

    TaskCwxxRespVO getCwxxByKqId(TaskPageReqVO reqVO);

    TaskDkxxRespVO getDkxxByKqId(TaskPageReqVO reqVO);

    TaskDkxxRespVO setDkxxByKqId(TaskDkxxSaveVO saveVO);

    Boolean getStoreroom(TaskPageReqVO reqVO);

    List<TaskCaxxRespVO> getCaxxByKqIdForClr(TaskPageReqVO reqVO);

    TaskHwkRespVO getHwkByCfId(Long cfId);

    TaskSyxxRespVO getSyxxByCfId(Long cfId);

    TaskLqjcxxRespVO getLqjcxxByCfId(Long cfId);

    IPage<TaskCrkxxRespVO> getCrkxxByCfId(TaskPageReqVO pageReqVO);

    IPage<TaskZjxxRespVO> getZjxxByCfId(TaskPageReqVO pageReqVO);
}